python-oslo.vmware (3.3.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:31:34 -0400

python-oslo.vmware (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:03:36 -0400

python-oslo.vmware (2.35.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:06:43 +0000

python-oslo.vmware (2.34.1-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:40:32 -0500

python-oslo.vmware (2.34.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Add missing BD on python3-sphinxcontrib.apidoc.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:35:20 +0100

python-oslo.vmware (2.34.0-0ubuntu3) eoan; urgency=medium

  * d/pydist-overrides, d/tests/python-ostestr: Drop remaining Py2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Aug 2019 11:16:22 -0400

python-oslo.vmware (2.34.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop autopkgtest-pkg-python, as it tries to import non-existant
    package oslo.vmware.
  * d/tests/python-import: Restore import test, which tries to import
    oslo_vmware package.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Aug 2019 15:12:17 -0400

python-oslo.vmware (2.34.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Run all unit tests.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:49:40 -0400

python-oslo.vmware (2.32.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed inactive uploaders.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 10:51:59 +0100

python-oslo.vmware (2.32.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:05:34 +0000

python-oslo.vmware (2.32.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:29:50 +0000

python-oslo.vmware (2.31.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:22:21 +0200

python-oslo.vmware (2.31.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building sphinx doc.
  * Now using pkgos-dh_auto_test.
  * Blacklist failing tests in Python 3.7:
    - ExceptionsTest.test_vim_fault_exception_with_cause_and_details()
    - ExceptionsTest.test_vim_fault_exception()

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 18:11:55 +0200

python-oslo.vmware (2.31.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Use pkgos-dh_auto_test to run tests.
  * d/p/py37-deal-with-Exception-repr-changes.patch: Deal with changes in
    behavior in repr(Exception(...)).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 15:05:02 -0400

python-oslo.vmware (2.29.2-0ubuntu3) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, realigning with oslo packages.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 21:48:29 +0100

python-oslo.vmware (2.29.2-0ubuntu2) cosmic; urgency=medium

  * Drop autopkgtest-pkg-python, as it tries to import non-existant
    package oslo.vmware.
  * Manually add equivalent test, which tries to import oslo_vmware
    package.

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Mon, 18 Jun 2018 12:04:26 +0100

python-oslo.vmware (2.29.2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Update Vcs-* fields for Ubuntu.
    - d/control: Enable autopkgtest-pkg-python.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 12:06:25 +0100

python-oslo.vmware (2.26.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:29:39 +0000

python-oslo.vmware (2.26.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:25:50 +0000

python-oslo.vmware (2.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:49:32 +0000

python-oslo.vmware (2.25.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:24:16 +0000

python-oslo.vmware (2.24.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:32:27 +0000

python-oslo.vmware (2.23.0-4) unstable; urgency=medium

  * Uploading to unstable.
  * Add missing python-openstackdocstheme b-d (Closes: #880399).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 09:49:15 +0000

python-oslo.vmware (2.23.0-3) experimental; urgency=medium

  * Add missing b-d: python3-ddt (Closes: #877614).

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2017 03:59:29 +0000

python-oslo.vmware (2.23.0-2) experimental; urgency=medium

  * Add missing (build-)depends python{3,}-lxml (Closes: #877254).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Oct 2017 19:01:25 +0000

python-oslo.vmware (2.23.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * Now using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Sep 2017 22:18:03 +0200

python-oslo.vmware (2.23.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:35:42 -0400

python-oslo.vmware (2.19.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:05:30 +0100

python-oslo.vmware (2.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (build-)depends with upstream.
  * d/control: Add dep-8 test.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 13:56:39 -0500

python-oslo.vmware (2.16.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * d/control: Align (build-)depends with upstream.
  * d/control: Drop python-mox3 dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 09:20:30 -0500

python-oslo.vmware (2.14.0-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
 
 -- David Della Vecchia <ddv@canonical.com>  Tue, 30 Aug 2016 11:01:25 -0400

python-oslo.vmware (2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:57:20 +0000

python-oslo.vmware (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:17:36 +0000

python-oslo.vmware (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:10:30 +0000

python-oslo.vmware (2.2.1-2) experimental; urgency=medium

  * Added Python 3 support.
  * Using https VCS urls.
  * Fixed homepage field.
  * Fixed debian/copyright ordering and years and holders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Feb 2016 03:55:49 +0000

python-oslo.vmware (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 09:20:02 +0000

python-oslo.vmware (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 23:05:35 +0000

python-oslo.vmware (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Dec 2015 11:12:19 +0100

python-oslo.vmware (1.21.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Also packaging the oslo_vmware/wsdl directory.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:54:08 +0000

python-oslo.vmware (1.21.0-1) experimental; urgency=medium

  [ James Page ]
  * d/pydist-overrides: Map suds-jurko -> suds to ease backporting.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 21:59:45 +0200

python-oslo.vmware (1.18.0-2) experimental; urgency=medium

  * Removed python-bandit build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 20:55:09 +0000

python-oslo.vmware (1.18.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Transitional packages are of priority: extra.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 20:33:39 +0000

python-oslo.vmware (0.13.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements and dependencies with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-vmware packages in Ubuntu.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:52:14 +0100

python-oslo.vmware (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Removed sphinx conf.py patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 22:16:09 +0800

python-oslo.vmware (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to Experimental right before the freeze.
  * Patches doc/source/conf.py which is failing the sphinx doc build.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 13:43:21 +0800

python-oslo.vmware (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 21:26:37 +0800

python-oslo.vmware (0.3-2) unstable; urgency=medium

  * Dropped python-hacking from b-d (just to make James Page happy... :).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 01:06:22 +0800

python-oslo.vmware (0.3-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Use github tags.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed UPSTREAM_GIT url in debian/rules.
  * Fixed new (build-)requirements for this release.
  * Using testr and subunit properly.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 05:45:49 +0000

python-oslo.vmware (0.2-1) experimental; urgency=low

  * Initial release. (Closes: #740806)

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Mar 2014 15:29:17 +0800

